Get a specific instant swap order
curl --request GET \
--url https://api.openxswitch.com/v1/instant-swap/order \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v1/instant-swap/order"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v1/instant-swap/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "swap_abc123",
"extId": "ext_abc123",
"fee": "0.0",
"fromCoin": "USDT",
"fromAmount": "100",
"toCoin": "ETH",
"toAmount": "0.0234",
"swapPrice": "0.000234",
"timeStamp": "2025-04-04T12:00:00Z",
"quoteId": "quote123",
"walletId": "wallet_001",
"workspaceId": "workspace_xyz"
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Instant-swap Endpoints
Get a specific instant swap order
Returns the full details of a particular swap transaction using the swapId and walletId.
GET
/
v1
/
instant-swap
/
order
Get a specific instant swap order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Swap ID to retrieve the order
Example:
"swap_xyz456"
Wallet/Sub-wallet ID associated with the swap
Example:
"wallet_abc123"
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)